Bug 1518638 (CVE-2017-17053) - CVE-2017-17053 kernel: Incorrect handling in arch/x86/include/asm/mmu_context.h:init_new_context function allowing use-after-free
Summary: CVE-2017-17053 kernel: Incorrect handling in arch/x86/include/asm/mmu_context...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-17053
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170824,repor...
Depends On: 1543353 1518642 1543352 1543354
Blocks: 1518639
TreeView+ depends on / blocked
 
Reported: 2017-11-29 11:33 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
44 users (show)

Fixed In Version: kernel 4.13
Doc Type: Bug Fix
Doc Text:
The init_new_context function in arch/x86/include/asm/mmu_context.h in the Linux kernel, before 4.12.10, does not correctly handle errors from LDT table allocation when forking a new process. This could allow a local attacker to achieve a use-after-free or possibly have unspecified other impact by running a specially crafted program.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:32:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0676 None None None 2018-04-10 08:10:12 UTC

Description Adam Mariš 2017-11-29 11:33:11 UTC
The init_new_context function in arch/x86/include/asm/mmu_context.h in the Linux kernel before 4.12.10 does not correctly handle errors from LDT table allocation when forking a new process, allowing a local attacker to achieve a use-after-free or possibly have unspecified other impact by running a specially crafted program.

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=ccd5b3235180eef3cfec337df1c8554ab151b5cc

Comment 1 Adam Mariš 2017-11-29 11:45:26 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1518642]

Comment 2 Justin M. Forbes 2017-11-29 17:12:28 UTC
Fedora hasn't supported a 4.12.x kernel in quite some time. Current kernels are 4.13.16 across all supported releases.

Comment 6 Vladis Dronov 2018-02-08 10:33:12 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 and 7, its real-time kernel, Red Hat Enterprise MRG 2, Red Hat Enterprise Linux 7 for ARM 64 and Red Hat Enterprise Linux 7 for Power 9 LE, as a code with the flaw is not present or is not built in the products listed.

Comment 7 errata-xmlrpc 2018-04-10 08:09:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0676 https://access.redhat.com/errata/RHSA-2018:0676


Note You need to log in before you can comment on or make changes to this bug.